DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MeasurementNew

Create new measurement data structure

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementNew ( measurement, resources )

## FUNCTION

This function creates, by allocating and initialising it, a new Measurement data structure. After this function has been used to create a new measurement structure, the state of it is raw. It needs to be passed through `MeasurementForge` before it can be used to store measurement results.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement *` | `measurement` | pointer to the measurement structure to be created
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`Measure`, `MeasurementFree`, `MeasurementForge`, `MeasurementIsValid`, `MeasurementID`, `MeasurementSetName`, `MeasurementGetName`, `MeasurementGetPhysicalDimensions`, `MeasurementSetPhysicalDimensions`, `MeasurementNumberOfFeatures`, `MeasurementFeatures`, `MeasurementFeatureValid`, `MeasurementFeatureDescription`, `MeasurementNumberOfObjects`, `MeasurementObjects`, `MeasurementObjectValid`, `MeasurementObjectData`, `MeasurementObjectValue`, `MeasurementFeatureConvert`, `MeasurementWrite`